  
/* btfpinfo.h */
  
/* This file defines the info structure that is passed to the install()
   routine.  Refer to btfpinfo.c to see how the data is initialized.
*/

 /* define structure here */ 
#include <sys/sysshmem.h>

/* BTFPCOUNT DETERMINES THE NUMBER OF BOARDS PRESENT */    
#define BTFPCOUNT 1

#define BTFP0_ADDR 		0xC000
#define BTFP0_LEVEL 	1
#define BTFP0_VME_VEC	VME_1_VEC
#define BTFP0_VECTOR 	0x01

#define BTFP1_ADDR 		0xD000	
#define BTFP1_LEVEL 	3
#define BTFP1_VME_VEC	VME_3_VEC	
#define BTFP1_VECTOR 	0x01

#define BTFP2_ADDR 		0xC000
#define BTFP2_LEVEL 	2
#define BTFP2_VME_VEC	VME_2_VEC
#define BTFP2_VECTOR 	0x01

#define BTFP3_ADDR 		0xC000
#define BTFP3_LEVEL 	2
#define BTFP3_VME_VEC	VME_2_VEC
#define BTFP3_VECTOR 	0x01

struct bc_info {
	struct intvector vector;
	char *btfp_physaddr;
	char btfp_level;
	char btfp_vector;
} ;
